Pbmtomda User Manual(0)

NAME
pbmtomda - convert a PBM image to a Microdesign .mda

SYNOPSIS
pbmtomda [-dscale] [-invert] [--] [pbmfile]

Minimum unique abbreviation of option is acceptable. You may use double hyphens instead of single hyphen to denote options. You may use white space in place of the equals sign to separate an option name from its value.

DESCRIPTION

This program is part of Netpbm(1) .

pbmtomda reads a PBM image as input and produces a MicroDesign 2 area file (.MDA) as output.

If you do not specify pbmfile, pbmtomda uses Standard Input.

MDA images must be a multiple of 8 pixels wide and 4 pixels high. pbmtomda truncates any fractional pixels on the right and pads on the bottom with black as necessary, even if this creates an image of zero width. The program warns you when it does these things.

To avoid truncation and do different padding, pad the image to a multiple of 8 pixels wide and 4 pixels high beforehand with pnmpad or pamcomp.

OPTIONS

In addition to the options common to all programs based on libnetpbm (most notably -quiet, see
 Common Options index.html#commonoptions ), pbmtomda recognizes the following command line options:

-dscale
    Halve the height of the output file, to compensate for the aspect ratio used in MicroDesign files.

-invert
    Invert the colors used.

LIMITATIONS
There's no way to produce files in MicroDesign 3 format. MD3 itself and mdatopbm(1) can read files in either format.

SEE ALSO
mdatopbm(1) , pbm(1)

AUTHOR
Copyright (C) 1999 John Elliott <jce@seasip.demon.co.uk>.

DOCUMENT SOURCE
This manual page was generated by the Netpbm tool 'makeman' from HTML source. The master documentation is at

    http://netpbm.sourceforge.net/doc/pbmtomda.html